#include <v_lib.h>
#include "messages.h"

/* can't be very long: passed to puts() */
GLOBAL_STRING(ipl_usage,
	"Image processing language interpreter.\n"
	"Version 0.49.beta.2 by Vladimir A. Smirnov.\n"
	"Usage: " IPL_BASENAME "<scriptfile>\n"
	"For language description, type " IPL_BASENAME " --help-ipl.\n")
/* can't be very long: passed to printf() */
GLOBAL_STRING(ipl_exit_status,
	"IPL run completed: %s. (alloc: %u bytes; leak: %u bytes)\n")
GLOBAL_STRING(ipl_integer,"<integer>")
GLOBAL_STRING(ipl_key_global,"global")
GLOBAL_STRING(ipl_key_random_seed,"random_seed")
GLOBAL_STRING(ipl_key_alias,"alias")
GLOBAL_STRING(ipl_unable_to_open,"unable to open: ")
GLOBAL_STRING(ipl_success,"success")
GLOBAL_STRING(ipl_error,"error(s)")

GLOBAL_STRING(ipl_open_brace,"{")
GLOBAL_STRING(ipl_close_brace,"}")
GLOBAL_STRING(ipl_key_source_space,"source_space")
GLOBAL_STRING(ipl_key_rgb,"RGB")
GLOBAL_STRING(ipl_key_hsv,"HSV")
GLOBAL_STRING(ipl_key_cie,"CIE")
GLOBAL_STRING(ipl_key_red,"red")
GLOBAL_STRING(ipl_key_green,"green")
GLOBAL_STRING(ipl_key_blue,"blue")
GLOBAL_STRING(ipl_key_alpha,"alpha")
GLOBAL_STRING(ipl_key_hue,"hue")
GLOBAL_STRING(ipl_key_saturation,"saturation")
GLOBAL_STRING(ipl_key_value,"value")
GLOBAL_STRING(ipl_key_cieX,"cieX")
GLOBAL_STRING(ipl_key_cieY,"cieY")
GLOBAL_STRING(ipl_key_cieZ,"cieZ")
GLOBAL_STRING(ipl_key_output,"output")
GLOBAL_STRING(ipl_key_matrix,"matrix")
GLOBAL_STRING(ipl_key_vector,"vector")
GLOBAL_STRING(ipl_key_decomposition,"decomposition")
GLOBAL_STRING(ipl_key_state,"state")
GLOBAL_STRING(ipl_tab_string,"\t")
GLOBAL_STRING(ipl_eol_string,"\n")
GLOBAL_STRING(ipl_key_source_dimension,"source_dimension")
GLOBAL_STRING(ipl_key_depth_range,"depth_range")
GLOBAL_STRING(ipl_key_area_range,"area_range")
GLOBAL_STRING(ipl_key_value_range,"value_range")
GLOBAL_STRING(ipl_key_at_depth,"at_depth")
GLOBAL_STRING(ipl_key_leafs,"leafs")
GLOBAL_STRING(ipl_key_values,"values")
GLOBAL_STRING(ipl_key_histogram,"histogram")

GLOBAL_DEBUG_MESSAGE(ipl_type_mismatch,"type mismatch")
GLOBAL_DEBUG_MESSAGE(ipl_duplicate_definition,"duplicate definition: ")
GLOBAL_DEBUG_MESSAGE(ipl_name_in_use,"name already in use: ")
GLOBAL_DEBUG_MESSAGE(ipl_circular_reference,"circular reference: ")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_colorspace,"wrong colorspace")
GLOBAL_DEBUG_MESSAGE(ipl_unknown_channel,"unknown color channel ")
GLOBAL_DEBUG_MESSAGE(ipl_size_mismatch,"arguments of different size")
GLOBAL_DEBUG_MESSAGE(ipl_not_square,"non-square image")
GLOBAL_DEBUG_MESSAGE(ipl_domain_mismatch,"arguments in different domains")
GLOBAL_DEBUG_MESSAGE(ipl_not_enought_channels,"not enought channels")
GLOBAL_DEBUG_MESSAGE(ipl_using_state,"using state field")
GLOBAL_DEBUG_MESSAGE(ipl_null_func_arg,"NULL function argument")
GLOBAL_DEBUG_MESSAGE(ipl_range_error,"argument out of range")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_bounds,"wrong bounds")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_domain,"wrong domain")
GLOBAL_DEBUG_MESSAGE(ipl_not_powers2,"non-powers2 image");
GLOBAL_DEBUG_MESSAGE(ipl_fft_requires_powers2,
	"Fourier and frequency-domain transforms can be applied "
	"only if both dimensions are powers of 2")
GLOBAL_DEBUG_MESSAGE(ipl_state_size_unset,"size field in state is not set")
GLOBAL_DEBUG_MESSAGE(ipl_state_wh_unset,
	"width and/or height fields in state are not set")
GLOBAL_DEBUG_MESSAGE(ipl_already_frequency,
	"data already in frequency domain")
GLOBAL_DEBUG_MESSAGE(ipl_already_spatial,"data already in spatial domain")
GLOBAL_DEBUG_MESSAGE(ipl_invalid_operation,"invalid operation")
GLOBAL_DEBUG_MESSAGE(ipl_not_found,"definition not found: ")
GLOBAL_DEBUG_MESSAGE(ipl_redefinition,"redefinition")
GLOBAL_DEBUG_MESSAGE(ipl_state_invalidated,"state invalidated")
GLOBAL_DEBUG_MESSAGE(ipl_constant_matrix,"zero input range, can't transform")
